Bug 439315 - rhgb avc on first boot.
rhgb avc on first boot.
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-27 20:07 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-21 16:17:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2008-03-27 20:07:23 EDT
on a freshly installed system, right after I boot I get a bunch of these during

type=AVC msg=audit(1206647818.617:8): avc:  denied  { read } for  pid=1422
comm="rhgb" name="keyboard" dev=dm-0 ino=3145747
scontext=system_u:system_r:rhgb_t:s0 tcontext=system_u:object_r:root_t:s0
Comment 1 Daniel Walsh 2008-03-28 05:41:37 EDT
This looks like a labeling problem.  The only file that should be labeled root_t
is the / directory. Is the file in question /etc/sysconfig/keyboard?
Are the other files in /etc/sysconfig labeled correctly?  

restorecon -R -v /etc/sysconfig

If the only file is keyboard then we just need to fix anaconda to label it

You might need to relabel

touch /.autorelabel; reboot

I am transfering this bug to anaconda since something must have gone wrong
during the install.

Comment 2 Jeremy Katz 2008-03-28 10:04:28 EDT
Due to writing out keyboard stuff now before we lay down files and thus things
being incorrect.  Added /etc/sysconfig to our relabel list
Comment 3 Bug Zapper 2008-05-14 04:21:32 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:

Note You need to log in before you can comment on or make changes to this bug.